Bug 170803 - cron doesn't run properly
cron doesn't run properly
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: vixie-cron (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Vas Dias
Brock Organ
Depends On: 105616
Blocks: 161600
  Show dependency treegraph
Reported: 2005-10-14 12:10 EDT by Jason Vas Dias
Modified: 2007-11-30 17:07 EST (History)
2 users (show)

See Also:
Fixed In Version: RHSA-2005:0117
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-05-01 13:57:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jason Vas Dias 2005-10-14 12:10:25 EDT
+++ This bug was initially created as a clone of Bug #105616 +++

From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4) Gecko/20030701

Description of problem:
There are problems with cron not running jobs and/or not mailing the output to
the user.

If the program only has a little output, it is not mailed. In other
circumstances, the job does not run at all unless one attaches to the process
with strace.

Using nss_ldap seems to exacerbate these issues, but the problem is intermittent
and extremely hard to reproduce in the same way each time.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. define a cron job 'echo this is a test'

Actual Results:  output not mailed to user

Expected Results:  output should have been mailed

Additional info:

Here's a patch that fixes the issue:

diff -uNr vixie-cron-3.0.1.orig/do_command.c vixie-cron-3.0.1/do_command.c
--- vixie-cron-3.0.1.orig/do_command.c  2003-09-25 10:57:03.000000000 -0700
+++ vixie-cron-3.0.1/do_command.c       2003-09-25 10:57:37.000000000 -0700
@@ -161,7 +161,7 @@
        /* fork again, this time so we can exec the user's command.
-       switch (vfork()) {
+       switch (fork()) {
        case -1:
                log_it("CRON",getpid(),"error","can't vfork");
diff -uNr vixie-cron-3.0.1.orig/popen.c vixie-cron-3.0.1/popen.c
--- vixie-cron-3.0.1.orig/popen.c       2003-09-25 10:57:02.000000000 -0700
+++ vixie-cron-3.0.1/popen.c    2003-09-25 10:57:53.000000000 -0700
@@ -94,7 +94,7 @@
        iop = NULL;
-       switch(pid = vfork()) {
+       switch(pid = fork()) {
        case -1:                        /* error */

-- Additional comment from jvdias@redhat.com on 2004-08-04 19:31 EST --
fixed in old vixie-cron-3.? and in latest vixie-cron-4.1-+.
Comment 1 Jason Vas Dias 2005-10-14 12:11:20 EDT
This bug is fixed with vixie-cron-4.1-8_EL3, available from:
and should be considered for inclusion in RHEL-3-U7 .
Comment 4 Jason Vas Dias 2006-05-01 13:57:07 EDT
Fixed with vixie-cron-4.1-10.EL3, currently in RHEL-3-U7 with errata

Note You need to log in before you can comment on or make changes to this bug.